// src/index.ts
import { blue, cyan, yellow } from "kolorist";
function ShowProxy() {
  const proxy = [];
  return {
    name: "vite-plugin-show-proxy",
    apply: "serve",
    config(config) {
      var _a;
      const configProxy = (_a = config == null ? void 0 : config.server) == null ? void 0 : _a.proxy;
      for (const key in configProxy) {
        const value = configProxy[key];
        if (typeof value === "string") {
          proxy.push({ [key]: value });
        } else {
          const { target } = value;
          if (typeof target === "string")
            proxy.push({ [key]: target });
        }
      }
    },
    configureServer(server) {
      var _a;
      (_a = server.httpServer) == null ? void 0 : _a.once("listening", () => {
        setTimeout(() => {
          console.log(`${blue("  >Show Proxy:")}`);
          for (const item of proxy) {
            for (const key in item) {
              console.log(`    ${yellow(`'${key}'`)} => ${cyan(item[key])}`);
            }
          }
        }, 0);
      });
    }
  };
}
export {
  ShowProxy as default
};
