import { yellow, cyan } from 'kolorist';

function ShowProxy() {
  const proxy = [];
  return {
    name: "vite-plugin-show-proxy",
    apply: "serve",
    config(config) {
      const configProxy = config?.server?.proxy;
      for (const key in configProxy) {
        const value = configProxy[key];
        if (typeof value === "string") {
          proxy.push({ [key]: value });
        } else {
          const { target } = value;
          if (typeof target === "string")
            proxy.push({ [key]: target });
        }
      }
    },
    configureServer(server) {
      server.httpServer?.once("listening", () => {
        setTimeout(() => {
          console.log("  >Show Proxy:");
          for (const item of proxy) {
            for (const key in item) {
              console.log(`    ${yellow(`'${key}'`)} => ${cyan(item[key])}`);
            }
          }
        }, 0);
      });
    }
  };
}

export { ShowProxy as default };
